Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.fdk
Class ContainerManager

All Superinterfaces:
  java.rmi.Remote

All Known Implementing Classes:
  ContainerManagerImpl, CoreContainerManager

    public interface class ContainerManager

extends java.rmi.Remote

FDK interface for managing Containers.

Method Summary
`Item` | `createContainer(long target, NamedValue[] def, AttributeRequest[] attributes)` Creates a new container.
`void` | `deleteContainer(long id, NamedValue[] def)` Deletes a container.
`Item` | `updateContainer(long id, NamedValue[] def, AttributeRequest[] attributes)` Updates an existing container.

Method Detail

### createContainer

    Item createContainer(long target,
                         NamedValue[] def,
                         AttributeRequest[] attributes)
                         throws FdkException

  Description copied from interface: `ContainerManager`
  Creates a new container.

  Passing true for Options.CREATE_WORKSPACE_REQUEST_ALLOWED configures workflow, allowing the create workspace operation to be request enabled.

  Parameters:
    `target` - the parent of the new container.
    `def` - attributes on the container.
    - notation: {Attribute name, Attribute type}
    - {Attributes.NAME, String}
    - {Attributes.DESCRIPTION, String}
    - {Attributes.CREATE_WORKSPACE_REQUEST_ALLOWED, Boolean}
    - {Attributes.SECURITY_CONFIGURATION, NamedValue[]}, where the attributes are:
      - {Attributes.GRANTS, NamedValueSet[]}, where each row corresponds to a grant whose attributes are:
        - {Attributes.GRANTEE, Long}
        - {Attributes.ROLES, long[]}
        - {Attributes.PROPAGATING, Boolean}
    `attributes` - the requested attributes for the item
  Returns:
    an Item representing the created container.
  Throws:
    `FdkException` - if the operation fails.

### updateContainer

    Item updateContainer(long id,
                         NamedValue[] def,
                         AttributeRequest[] attributes)
                         throws FdkException

  Description copied from interface: `ContainerManager`
  Updates an existing container. Passing true for Options.CREATE_WORKSPACE_REQUEST_ALLOWED configures workflow, allowing the create workspace operation to be request enabled.

  Parameters:
    `id` - ID of the container to update.
    `def` - container attributes to update:
    - notation: {Attribute name, Attribute type}
    - {Attributes.NAME, String}
    - {Attributes.DESCRIPTION, String}
    - {Attributes.CREATE_WORKSPACE_REQUEST_ALLOWED, Boolean}
  Returns:
    an Item representing the updated container.
  Throws:
    `FdkException` - if the operation fails.

### deleteContainer

    void deleteContainer(long id,
                         NamedValue[] def)
                         throws FdkException

  Description copied from interface: `ContainerManager`
  Deletes a container.

  Parameters:
    `id` - ID of the container to delete.
    `def` - parameters for the delete operation:
    - notation: {parameter name, datatype}
    - {Options.RUN_ASYNC, Boolean}
  Throws:
    `FdkException` - if the operation fails.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD